Uploaded image for project: 'Qt Creator'
  1. Qt Creator
  2. QTCREATORBUG-9074

Android deploy local libs does not account for different Qt-versions

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P2: Important
    • Resolution: Out of scope
    • Affects Version/s: Qt Creator 2.7.0
    • Fix Version/s: None
    • Component/s: Android Support
    • Labels:

      Description

      If you have several different Qt versions and you are using the "deploy local libs" option in Qt Creator, you can easily get into the situation where you have run an application against a newer Qt build, and then run a different application against an older, incompatible Qt build and get a crash. The reason is that the smart deployer only checks the timestamps of the libraries and the same storage location is used for all Qt versions.

      I see two potential fixes for this: Either we somehow identify different Qt builds (e.g. by hashing their paths or something like that) and store them separately on the device, or we use hashes of the libraries to check if they need to be updated instead of timestamps.

      I think the former is the better option, since it's probably easier to implement and reduces the number of syncs you have to do when switching between Qt versions.

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            dt Daniel Teske
            Reporter:
            esabraha Eskil Abrahamsen Blomfeldt
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes